%define debug_package %{nil}

%define prerelease a08edd30ad9e104612741163dc087a613829a23c
%define import_path github.com/gorilla/context
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})

Summary:	a general purpose registry for global request variables
Name:		golang-gorilla-context
Version:	0.1.git%{shortcommit}
Release:	%mkrel 6
License:	BSD
Group:		Development/Other
Url:		https://%{import_path}
Source0:        https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:       golang(%{import_path}) = %{version}-%{release}

%description
a general purpose registry for global request variables

%prep
%setup -q -n context-%{prerelease}

%build

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/{LICENSE,README.md}

%files
%doc LICENSE README.md
%{gosrc}/*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.1.gita08edd3-6.mga6
+ Revision: 954138
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.gita08edd3-5.mga6
+ Revision: 893472
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.1.gita08edd3-4.mga5
+ Revision: 745864
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.gita08edd3-3.mga5
+ Revision: 679860
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.gita08edd3-2.mga5
+ Revision: 641556
- Fix for FHS golang

* Sun Dec 22 2013 thatsamguy <thatsamguy> 0.1.gita08edd3-1.mga4
+ Revision: 559731
- imported package golang-gorilla-context

